Strona główna Ubuntu C++ Hardware HTML i javascript Java Software SQL

Ubuntu – problem z instalacją aktualizacji w systemie (linux-generic-pae).

Dodano: 2013-07-27

W przypadku awaryjnego wyłączenia/zatrzymania się komputera w czasie instalacji nowej wersji jądra systemu linux, może nastąpić problem z prawidłowym działaniem aktualizacji w Ubuntu, objawiający się komunikatem:

dpkg: dependency problems prevent configuration of linux-generic-pae: linux-generic-pae depends on linux-image-generic-pae (= [theVersionNumberOfTheOlder]); however: Version of linux-image-generic-pae on system is [theVersionNumberOfTheNewer]. linux-generic-pae depends on linux-headers-generic-pae (= [theVersionNumberOfTheOlder]);

System linux domyślnie podpowiada użycie komendy sudo apt-get install -f, niestety nie pomaga ona, rozwiązaniem problemu jest usunięcie konkretnej paczki, której aktualizacja dotyczy, w tym przypadku:

sudo dpkg --remove linux-generic-pae
sudo apt-get install linux-generic-pae

Po zakończeniu tej operacji powodzeniem ponownie spróbuj zainstalować aktualizacje. Powinno wszystko wrócić do normy.